Bulk-toggle contact field flags for an agent
curl --request PATCH \
--url https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/memorize/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_fields": [
{
"field_id": "base_email",
"memorize": true,
"extract_entities": true,
"detect_patterns": true,
"fuzzy_matching": true,
"include_in_context": true
}
]
}
'import requests
url = "https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/memorize/bulk"
payload = { "contact_fields": [
{
"field_id": "base_email",
"memorize": True,
"extract_entities": True,
"detect_patterns": True,
"fuzzy_matching": True,
"include_in_context": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_fields: [
{
field_id: 'base_email',
memorize: true,
extract_entities: true,
detect_patterns: true,
fuzzy_matching: true,
include_in_context: true
}
]
})
};
fetch('https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/memorize/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Memorize
Bulk-toggle contact field flags for an agent
Same body shape as the default bulk endpoint. If the agent does not yet have its own memorize settings, they are created automatically from the global default on the first edit.
PATCH
/
api
/
v1
/
agents
/
{uuid}
/
memorize
/
bulk
Bulk-toggle contact field flags for an agent
Bulk-toggle contact field flags on the default settingsReset the global default memorize settings to factory defaults
⌘I